CREATE TABLE hrsa_push_record
(
    id             NUMBER(38,0) NOT NULL,
    name           varchar2(200),
    setting_id     NUMBER(38,0),
    mode_id        number,
    table_name     varchar2(100),
    acct_record_id NUMBER(38,0),
    type           number,
    status         number,
    start_time     date,
    end_time       date,
    creator        NUMBER(38,0),
    create_time    date,
    update_time    date,
    delete_type    number,
    tenant_key     varchar2(10)
);
/

CREATE TABLE hrsa_push_record_detail
(
    id           NUMBER(38,0) NOT NULL,
    record_id    NUMBER(38,0),
    acct_emp_id  NUMBER(38,0),
    formula CLOB,
    execute_time date,
    status       number,
    creator      NUMBER(38,0),
    create_time  date,
    update_time  date,
    delete_type  number,
    tenant_key   varchar2(10)
);
/

ALTER TABLE hrsa_push_record ADD fail_reason varchar2(4000);
/

ALTER TABLE hrsa_push_record_detail ADD fail_reason varchar2(4000);
/

